Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesysapp.net/api/v1.4/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"2b89964f-0e8e-4f5e-953b-2588252ec0cb","courseQuestionId":"2136bcbe-87ae-4d06-9105-3f87f2aa488a","userId":"140920ce-a045-4209-b2da-649aca9dbfdf","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"d171f638-2f44-4517-8b60-4f141fdf79a1","courseQuestionId":"89170ffb-1f7e-491b-b5f6-5273e6359d5b","userId":"828c7e2e-a310-4e52-be11-d80a102f6daf","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string